package com.huimv.env.produce.controller;


import com.huimv.common.utils.Result;
import com.huimv.env.produce.service.EliminateDetailService;
import com.huimv.env.produce.service.SalesDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-11-01
 */
@RestController
@RequestMapping("/v1.0.0/sales")
public class SalesDetailController {
    @Autowired
    private com.huimv.env.produce.service.SalesDetailService salesDetailService;

    //查询
    @PostMapping("/getSales")
    public Result getSales(@RequestBody Map<String, String> paramsMap) throws ParseException {
        return salesDetailService.getSales(paramsMap);
    }

    //新增
    @PostMapping("/save")
    public Result save(@RequestBody Map<String, String> paramsMap) throws ParseException {
        return salesDetailService.save(paramsMap);
    }

    //删除
    @PostMapping("/remove")
    public Result remove(@RequestBody Map<String, String> paramsMap) throws ParseException {
        return salesDetailService.remove(paramsMap);
    }
}

